Subject: bug#15247: 24.3.50; Emacs Cygwin crashes when replying to a mail

From: martin rudalics <[email-masked]>
Date: Mon, 02 Sep 2013 14:29:51 +0200

> I realized that this is caused by `make-frame-invisible' that runs
 > when there is only one Emacs frame.  At least for Cygwin, you should
 > be able to reproduce it in this way:
 >
 > emacs -Q --eval '(make-frame-invisible (selected-frame) t)'
 >
 > I also guess that it was harmless until about a week ago.

Should be harmless again with revision 114106.

 > Why such an odd thing was run is because I was using this advice
 > to make `raise-frame' work on Cygwin.
 >
 > (defadvice raise-frame (before make-it-work (&optional frame) activate)
 >   "Make it work on Cygwin."
 >   (make-frame-invisible frame t))
 >
 > As I wrote in <http://thread.gmane.org/gmane.emacs.devel/150533>,
 > `raise-frame' doesn't raise iconified, invisible, or hidden frame.
 > Now I changed it into:
 >
 > (defadvice raise-frame (before make-it-work (&optional frame) activate)
 >   "Make it work on Cygwin."
 >   (or (eq frame (selected-frame))
 >       (make-frame-invisible frame)))

I don't understand fully: Above you say that "`raise-frame' doesn't
raise iconified, invisible, or hidden frame" and in the before-advice
or `raise-frame' you make the frame invisible?	

 > Even if Emacs should not crash for any Lisp code,

It should not, indeed.

 > it's a trivial
 > one among many(?) issues concerning Cygwin.  So, I'm closing this
 > bug.  Sorry for the noise.

martin